Bug 1120387 (CVE-2014-4258) - CVE-2014-4258 mysql: unspecified vulnerability related to SRINFOSC (CPU July 2014)
Summary: CVE-2014-4258 mysql: unspecified vulnerability related to SRINFOSC (CPU July ...
Status: CLOSED ERRATA
Alias: CVE-2014-4258
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140415,repor...
Keywords: Security
Depends On: 1120390 1120391 1162374 1162375
Blocks: 1120389 1165433
TreeView+ depends on / blocked
 
Reported: 2014-07-16 19:53 UTC by Vincent Danen
Modified: 2018-12-09 18:11 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-17 06:00:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1859 normal SHIPPED_LIVE Important: mysql55-mysql security update 2014-11-17 14:45:22 UTC
Red Hat Product Errata RHSA-2014:1860 normal SHIPPED_LIVE Important: mysql55-mysql security update 2014-11-17 14:56:12 UTC
Red Hat Product Errata RHSA-2014:1861 normal SHIPPED_LIVE Important: mariadb security update 2014-11-17 16:06:42 UTC
Red Hat Product Errata RHSA-2014:1862 normal SHIPPED_LIVE Important: mariadb55-mariadb security update 2014-11-17 14:56:02 UTC
Red Hat Product Errata RHSA-2014:1937 normal SHIPPED_LIVE Important: mariadb-galera security update 2014-12-02 21:48:44 UTC
Red Hat Product Errata RHSA-2014:1940 normal SHIPPED_LIVE Important: mariadb-galera security update 2014-12-02 21:59:47 UTC

Description Vincent Danen 2014-07-16 19:53:53 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: SRINFOSC). Supported versions that are affected are 5.5.37 and earlier and 5.6.17 and earlier. Easily exploitable vulnerability allows successful authenticated network attacks via multiple protocols. Successful attack of this vulnerability can result in unauthorized takeover of MySQL Server possibly including arbitrary code execution within the MySQL Server. 


External References:

http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html#AppendixMSQL

Comment 1 Vincent Danen 2014-07-16 19:57:42 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1120391]

Comment 2 Vincent Danen 2014-07-16 19:57:44 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1120390]

Comment 3 Huzaifa S. Sidhpurwala 2014-07-22 08:36:08 UTC
Statement:

(none)

Comment 4 Tomas Hoger 2014-07-28 08:57:44 UTC
SRINFOSC seems to be an abbreviation for Information Schema component.

Comment 5 Vincent Danen 2014-09-30 21:47:15 UTC
Based on timing, it looks like 5.5.39 should fix this, but it's impossible to know for sure as the release notes don't indicate security fixes or reference any CVEs:

http://dev.mysql.com/doc/relnotes/mysql/5.5/en/news-5-5-39.html

Comment 6 errata-xmlrpc 2014-11-17 09:45:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1859 https://rhn.redhat.com/errata/RHSA-2014-1859.html

Comment 7 errata-xmlrpc 2014-11-17 09:56:30 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS

Via RHSA-2014:1862 https://rhn.redhat.com/errata/RHSA-2014-1862.html

Comment 8 errata-xmlrpc 2014-11-17 09:57:48 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS

Via RHSA-2014:1860 https://rhn.redhat.com/errata/RHSA-2014-1860.html

Comment 9 errata-xmlrpc 2014-11-17 11:07:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1861 https://rhn.redhat.com/errata/RHSA-2014-1861.html

Comment 10 errata-xmlrpc 2014-12-02 16:49:15 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 6

Via RHSA-2014:1937 https://rhn.redhat.com/errata/RHSA-2014-1937.html

Comment 11 errata-xmlrpc 2014-12-02 17:06:16 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1940 https://rhn.redhat.com/errata/RHSA-2014-1940.html


Note You need to log in before you can comment on or make changes to this bug.